[Digikam-devel] Re: Cannot compile libkface

Michael G. Hansen mike at mghansen.de
Fri Nov 26 15:57:12 CET 2010


On 11/24/2010 07:53 PM, Gabriel Voicu wrote:
> On Wed, Nov 24, 2010 at 7:02 PM, Marcel Wiesweg<marcel.wiesweg at gmx.de>wrote:
>
>>
>>> I'm trying to compile digiKam 2.0 after a while, but I'm stuck at
>> compiling
>>> libkface. I have all the required dependencies, including OpenCV 2.1 .
>> Can
>>> you tell me please if this is from me, or is something broken in the
>>> compile?
>>
>> I'd say that when linking, all methods from the OpenCV library are not
>> found.
>> That means the headers are found by the compiler, but the corresponding
>> libraries not by the linker.
>> Either, there is an installation peculiarity at your side, or some problem
>> with the CMake detection.
>>
>> Here on OpenSuse, the package opencv-devel provides, in addition to the
>> headers:
>> /usr/lib64/libcv.so
>> /usr/lib64/libcvaux.so
>> /usr/lib64/libcxcore.so
>> /usr/lib64/libhighgui.so
>> /usr/lib64/libml.so
>>
>>
> I checked now and I have all these OpenCV libs in my /usr/lib directory.
> I suppose that is a cmake error, because if I download and compile libface
> from sourceforge,
> all works as it should. Also, after I compile libface from Sourceforge,
> running cmake from libkface
> doesn't detect that I already have installed libface.
> (I mention that I used:
> "cmake -DCMAKE_BUILD_TYPE=debugfull -DCMAKE_INSTALL_PREFIX=`kde4-config
> --prefix` .."
> command when compiling all the digikam's components. Also, I use Fedora with
> KDE 4.4.2 .)
>
> Gabriel

I think I just encountered the same problem, see the commit which I 
CC'ed to the list. Does it work for you now? Marcel, does the commit 
break the build for you?

Michael


More information about the Digikam-devel mailing list